package be.iminds.jfed.gts_highlevel;

import be.iminds.ilabt.jfed.lowlevel.HttpCallDetails;
import be.iminds.ilabt.jfed.lowlevel.connection.ConnectionConfig;
import be.iminds.ilabt.jfed.lowlevel.connection.JFedConnection;
import org.apache.http.StatusLine;

import java.util.Date;

/**
 * User: twalcari
 * Date: 9/23/2015
 * Time: 12:23
 */
public class Mock404HttpCallDetails implements HttpCallDetails {
    @Override
    public String getServerUrl() {
        return null;
    }

    @Override
    public String getRequestHttpRequestLine() {
        return null;
    }

    @Override
    public String getRequestHttpHeaders() {
        return null;
    }

    @Override
    public String getRequestHttpContent() {
        return null;
    }

    @Override
    public int getResultHttpStatusCode() {
        return 404;
    }

    @Override
    public String getResultHttpStatusReasonPhrase() {
        return null;
    }

    @Override
    public String getResultHttpStatusLine() {
        return "HTTP/1.1 404 Not Found";
    }

    @Override
    public StatusLine getResultHttpStatusLineObject() {
        return null;
    }

    @Override
    public String getResultHttpHeaders() {
        return "Content - Length:0\n " +
        "Date: Thu, 24 Sep 2015 08:45:56 GMT\n" +
                "Server: Jetty(7.6.8.v20121106)\n";
    }

    @Override
    public String getResultHttpContent() {
        return null;
    }

    @Override
    public Date getStartTime() {
        return null;
    }

    @Override
    public Date getStopTime() {
        return null;
    }

    @Override
    public Throwable getException() {
        return null;
    }

    @Override
    public JFedConnection getLastConnection() {
        return null;
    }

    @Override
    public ConnectionConfig getConnectionConfig() {
        return null;
    }
}
